.calendar {
    height: 600px;
    border: 1px solid #EBEEF5;
    border-radius: 3px;
    padding: 12px 20px 35px;
    margin: 20px 0;

}

.calendar-header {
    padding: 12px 20px;
    height: 50px;
    line-height: 50px;
    display: flex;
    border-bottom: 1px solid #EBEEF5;
}
@media screen and (max-width: 767px) {
    .calendar{
        padding:  10px!important;
        height: auto;
        min-height: 400px;
    }
    .calendar-header{
        padding: 0!important;
    }

    /* 手机端日历单元格适当变矮 */
    .calendar-table-body tr td {
        height: 50px;
    }

    .calendar-table thead th {
        font-size: 14px;
        padding: 8px 0;
    }
}
.calendar-header .header-left {
    font-size: 16px;
}

.calendar-header .header-right {
    font-size: 0;
    text-align: right;
}

.header-right .mouth {
    display: inline;
    font-size: 12px;
    white-space: nowrap;
    cursor: pointer;
    background: #FFF;
    border: 1px solid #DCDFE6;
    color: #606266;
    transition: .1s;
    font-weight: 500;
    box-sizing: border-box;
    outline: 0;
    margin: 0;
    padding: 4px 15px;
}

.header-right .mouth:first-child {
    border-radius: 3px 0 0 3px;
}

.header-right .mouth:last-child {
    border-radius: 0 3px 3px 0;
}

.header-right .mouth:hover {
    background: #F5F7FA;
    color: #303133;
}

.calendar-table {
    table-layout: fixed;
    width: 100%;
    mso-cellspacing: 0;
}

.calendar-table thead th {
    padding: 12px 0;
    font-size: 16px;
    color: #606266;
    font-weight: 400;
    width: 14.285714285714286%;
}

.calendar-table-body tr td {
    text-align: center;
    height: 80px;
}

.calendar-table tr .otherMonth {
    color: #C0C4CC;
}

.calendar-table tr .currentMonth {
    color: #606266;
}

.calendar-table tr .currentDay {
    color: red;
}